package com.ruoyi.ibs.list.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ibs.list.domain.CustInfoRetail;
import com.ruoyi.ibs.list.domain.CustInfoRetailFoldVo;
import com.ruoyi.ibs.list.domain.CustInfoRetailVo;
import com.ruoyi.ibs.list.domain.FamilyMembers;
import com.ruoyi.ibs.list.domain.SysGroupCustomer;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 对私客户信息Service接口
 *
 * @author ruoyi
 * @date 2024-09-19
 */
public interface ICustInfoRetailService {
    /**
     * 查询对私客户信息
     *
     * @param id 对私客户信息主键
     * @return 对私客户信息
     */
    public CustInfoRetail selectCustInfoRetailById(Long id);

    /**
     * 查询对私客户信息
     *
     * @param id 对私客户信息主键
     * @return 对私客户信息
     */
    public CustInfoRetail selectCustInfoRetailBycustIdc(String custIdc);


    /**
     * 查询360视图对私客户信息折叠信息
     *
     * @param id 对私客户信息主键
     * @return 对私客户信息
     */
    public CustInfoRetailFoldVo selectCustInfoRetailFoldVoBycustIdc(String custIdc);

    /**
     * 查询对私客户信息
     *
     * @param id 对私客户信息主键
     * @return 对私客户信息
     */
    public CustInfoRetailVo selectCustInfoRetailVoByCustId(String custId);

    /**
     * 查询对私客户信息列表
     *
     * @param custInfoRetail 对私客户信息
     * @return 对私客户信息集合
     */
    public List<CustInfoRetail> selectCustInfoRetailList(CustInfoRetail custInfoRetail);

    public List<CustInfoRetail> selectCustInfoRetailListByKeyword(String keyword,Long start,Long size);

    /**
     * 新增对私客户信息
     *
     * @param custInfoRetail 对私客户信息
     * @return 结果
     */
    public int insertCustInfoRetail(CustInfoRetail custInfoRetail);

    /**
     * 新增对私客户信息营销建档
     *
     * @param custInfoRetail 对私客户信息
     * @return 结果
     */
    public AjaxResult insertCustInfoRetailVo(CustInfoRetail custInfoRetail, String relateMerchant, String relateBusiness, String fmyName, String fmyBusi, String fmyTel, String fmyRln);

    /**
     * 修改对私客户信息
     *
     * @param custInfoRetail 对私客户信息
     * @return 结果
     */
    public AjaxResult updateCustInfoRetail(CustInfoRetail custInfoRetail);

    /**
     * 批量删除对私客户信息
     *
     * @param ids 需要删除的对私客户信息主键集合
     * @return 结果
     */
    public int deleteCustInfoRetailByIds(Long[] ids);

    /**
     * 删除对私客户信息信息
     *
     * @param id 对私客户信息主键
     * @return 结果
     */
    public int deleteCustInfoRetailById(Long id);

    public CustInfoRetail selectCustInfoRetailByCustId(String custId);

//    public String getNickNames(String custId);
//
//    public String getGridNames(String custId);

    void exportRetailDetail(HttpServletResponse response, String custId) throws Exception;

    public int insertCustomersToRetailByCustId(List<SysGroupCustomer> sysGroupCustomers);

    public List<String> selectCustInfoRetailBycustIdcList(List<String> idcConditionList);
}
